// Package consts ...
//
// Description : consts ...
//
// Author : go_developer@163.com<白茶清欢>
//
// Date : 2024-04-25 16:03
package consts

const (
	SwaggerDataTypeInteger  = "integer" // 32 位有符号
	SwaggerDataTypeLong     = "long"    // 64 位有符号
	SwaggerDataTypeFloat    = "number"
	SwaggerDataTypeDouble   = "number"
	SwaggerDataTypeNumber   = "number"
	SwaggerDataTypeByte     = "string"
	SwaggerDataTypeBinary   = "binary" // 任意 8 进制序列
	SwaggerDataTypeString   = "string"
	SwaggerDataTypeDate     = "string"
	SwaggerDataTypePassword = "password"
	SwaggerDataTypeBoolean  = "boolean"
	SwaggerDataTypeArray    = "array"
	SwaggerDataTypeObject   = "object"
)

const (
	SwaggerDocVersion1 = "1.0"
	SwaggerDocVersion2 = "2.0"
	SwaggerDocVersion3 = "3.0"
)

const (
	SwaggerRefKey       = "$ref"
	SwaggerRefValPrefix = "#/definitions/"
)

const (
	SwaggerTypeKey = "type"
)

const (
	SwaggerBaseObjectDefinitionName = "object_map"
)

const (
	SwaggerParameterInQuery  = "query"  // 参数位置 : query
	SwaggerParameterInHeader = "header" // 参数位置 : header
	SwaggerParameterInPath   = "path"   // 参数位置 : path
	SwaggerParameterInCookie = "cookie" // 参数位置 : cookie
)
